Arma 3 Feedback Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005920Arma 3Multiplayerpublic2013-03-25 14:212013-08-07 19:24
Reporterbanshee 
Assigned Tojapapatramtara 
PriorityhighSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindows 7OS Version64 bit
Product Version0.52.103.279 
Target VersionFixed in Version 
72 vote(s) 100,00%
0 vote(s) 0,00%
Summary0005920: Frequent server crashes after Memory Access Violation
Description"Exception code: C0000005 ACCESS_VIOLATION at 006C1EA0
Allocator: C:\Steam\steamapps\common\Arma 3\dll\tbb4malloc_bi.dll
graphics: No
resolution: 160x120x32"
Steps To ReproduceLoad a mission in multiplayer (using -server option) on a known stable machine.
Wait until the battle is raging and enough people have connected.
Server will then crash with the above (or similar RPT).
Additional InformationSee uploaded RPT files: https://dl.dropbox.com/u/2854558/Crashlogs_2013-03-25.zip [^]
TagsNo tags attached.
Game VersionArma 3 Alpha
Attached Files

- Relationships
related to 0005956closedAstaroth MP Crash 10-30 minutes every game 
has duplicate 0005918closed Frequent server crashes after Memory Access Violation 
has duplicate 0005919closed Frequent server crashes after Memory Access Violation 

-  Notes
(0015007)
banshee (reporter)
2013-03-25 14:26

Usually this crash occurs within 5-10 minutes, depending on how fast the server fills up.
(0015013)
Katos (reporter)
2013-03-25 14:36
edited on: 2013-03-25 14:44

Can confirm this, but it took 40 minutes for me (unsure how fast server filled up). Thats about the time it took for my dev branch servers to die - so it seems like the old dev is the new stable. This is on Windows 2008 Server.

If devs somehow missed it, almost every admin who was running dev build migrated back to stable because of really low uptimes. The stable could stay up for a day with the same map/server.

(0015020)
teaCup (reporter)
2013-03-25 14:49

We updated our Stable Alpha (non-DEV) "dedicated" server this morning, and it has been crashing every 10-30 minutes ever since. Also, when one of our players hosts on their own machine, it crashes pretty soon.

The server crashes with all types of missions, and when it does, all connected clients crash as well.

3 Error logs from our server, with crashdumps.
http://publicfiles.armedassault.info/teacup/Updated_Alpha_frequent_crashes.zip [^]
(0015035)
Katos (reporter)
2013-03-25 15:27
edited on: 2013-03-25 15:36

Just noted the exception code is always the same - 006C1EA0 with the current stable, 00C21FC2 with the previous stable, 006C18B7 with the previous dev

Getting almost reliable crashes every 40 minutes with latest stable. As the upload here doesn't work for me, uploaded the logs to dropbox: http://dl.dropbox.com/u/22887672/arma3/Crashlogs_v52_2013-03-25.zip [^]

(0015039)
Aske (reporter)
2013-03-25 15:36
edited on: 2013-03-25 15:58

No crash at the DEV version, after half hour gameplay in multiplayer (4 players).

edit: It was a new game, we just started to test a new mission.

(0015042)
dazhbog (developer)
2013-03-25 15:44

Was the MP mission started by loading a previously saved game? If so, was the mission saved in previous game version? If so, what version?
(0015044)
Katos (reporter)
2013-03-25 15:49
edited on: 2013-03-25 15:52

I'm always starting a new mission (404wasteland, didn't even know you can save/load?), happened after changing every appearance of Galkin into Ifrit in the mission files too.

Know from chat that others have the same problem with all kinds of custom missions aswell, so nothing related to wasteland alone.

(0015050)
teaCup (reporter)
2013-03-25 16:08
edited on: 2013-03-25 16:10

We started Deathmatch/Capture-the-flag missions from zero. The server doesn't even have savefiles for them, so it has nothing to load from, i just checked. Still it crashes within 10 minutes.

(0015059)
Profecy (reporter)
2013-03-25 16:24

Confirmed issue on my machine, Windows Server 2008. Was fine before the update.
(0015068)
japapatramtara (developer)
2013-03-25 16:32

Well ok, I will take a look. But Does somebody have a clearly and "less time consuming" repro than: start server, connect some players and wait for crash? It would be very useful.
(0015072)
Katos (reporter)
2013-03-25 16:44

Don't think there is a better reproduction. My previous dev server ran fine without/with one player for hours. But with max 20 players on it it reliably crashed in under an hour. It might be load dependent, so if you could run the server in a really low spec VM that might be faster.
(0015075)
banshee (reporter)
2013-03-25 16:46

Didn't find one yet.
Limiting the server to 20 players (could hold 26 stable before) didn't help.

I think that it might have to do with the numbers of connected players and some memory leaks or CPU related issue. Means: The servers crashes when under heavy load. I'll try to limit it to 10 players now to check that.
(0015076)
banshee (reporter)
2013-03-25 16:47

New Dumps (not our server but "Alex Grosse"):

http://81.19.212.50/Share/minidumps.zip [^]
(0015079)
teaCup (reporter)
2013-03-25 16:51
edited on: 2013-03-25 17:22

I'd love to help narrowing the problem down, but i can't think of a commonality or pattern related to the crashes. The missions work perfectly fine, until it all goes kaputt. I know for sure there were no new objects created in one mission at runtime, no createVehicle commands, no new weapons referenced. And no player came forward with the usual "i killed a snake/threw a smoke grenade - and then the server crashed" type paranoia either.

(0015082)
Katos (reporter)
2013-03-25 16:53

Moar crashes: http://dl.dropbox.com/u/22887672/arma3/Crashlogs_v52_2013-03-25_2.zip [^]
(0015093)
banshee (reporter)
2013-03-25 17:06

Some more crashlogs. The latest one was a server crash after a short time with only 7 ppl. connected.

https://dl.dropbox.com/u/2854558/arma3_2013-03-25_14-26-19.zip [^]

Here are some more from the Kellys-Heroes public server:
http://www.kellys-heroes.eu/files/arma3/alpha-crashlogs/KH-Public-A3_crashlog_2013-03-25_15-06-42.7z [^]
http://www.kellys-heroes.eu/files/arma3/alpha-crashlogs/KH-Public-A3_crashlog_2013-03-25_15-47-20.7z [^]
http://www.kellys-heroes.eu/files/arma3/alpha-crashlogs/KH-Public-A3_crashlog_2013-03-25_16-36-42.7z [^]
(0015104)
banshee (reporter)
2013-03-25 17:14

Looks like

Fault address: 006C1EA0 01:002C0EA0 C:\Steam\steamapps\common\Arma 3\arma3.exe
file: Tier1_CPG_v21 (__cur_mp)
world: Stratis
Prev. code bytes: C0 7F 37 6A 01 56 8B CF E8 A6 80 FA FF 8B 46 34
Fault code bytes: 83 78 40 01 75 24 81 C7 18 0A 00 00 57 8D 4D 0C

Registers:
EAX:00000000 EBX:00000001
ECX:01C4C76C EDX:00003F00
ESI:22CAB3C0 EDI:22C96040
CS:EIP:0023:006C1EA0
SS:ESP:002B:01C4C7A0 EBP:01C4C7AC
DS:002B ES:002B FS:0053 GS:002B
Flags:00010246


Is consistent troughout all of our crashes. Exept for the Register ID's.
(0015142)
banshee (reporter)
2013-03-25 18:08

Troughout all the logfiles (from diffrent servers, diffrent missions) this is a reoccuring sceme:

Fault address: 006C1EA0 01:002C0EA0
Fault address: 006C1EA0 01:002C0EA0
Fault address: 006C1EA0 01:002C0EA0
Fault address: 006C1EA0 01:002C0EA0
Fault address: 006C1EA0 01:002C0EA0
Fault address: 006C1EA0 01:002C0EA0
Fault address: 006C1EA0 01:002C0EA0

So it's crashing with the same memory issues on the same memory adress.
(0015167)
banshee (reporter)
2013-03-25 18:59

More crashlogs: https://dl.dropbox.com/u/2854558/arma3_2013-03-25_18-30-18.zip [^]

Doesn't seem to be corelated with the number of players. Those crashlogs are after a couple of minutes with only 5-7 players.
(0015181)
L etranger (reporter)
2013-03-25 19:35

Windows 2008 More crashlogs :
https://dl.dropbox.com/s/yej1buyvsj0i855/Arma%203%20Alpha%20server%20crash%20dump.7z?token_hash=AAGb3WGP1Gg0HEIgxzIconi23wXHgZ9d8vREQBObtL9Nrg&dl=1 [^]
(0015182)
banshee (reporter)
2013-03-25 19:44

Possible steps to reproduce better:

Start mission
Throw HE grenade(s)
Results in server crash regardless of how many ppl. are on there.

Reproducable on our server with diffrent missions (reproduced 4 times in a row now)
(0015186)
banshee (reporter)
2013-03-25 19:48

Crashes on Smokegrenades as well.
(0015188)
dazhbog (developer)
2013-03-25 19:50
edited on: 2013-03-25 19:50

Just adding a note for clarification - this is related to dedicated server (correct me if i'm wrong).

(0015190)
banshee (reporter)
2013-03-25 19:55

It's related to running with "-server" option. Yes. That's why the category is set to multiplayer. :)
(0015192)
banshee (reporter)
2013-03-25 19:55

dazhbog, if you need more direct feedback, you can join our TS. Dwarden has the details.
(0015195)
banshee (reporter)
2013-03-25 20:08

A bit more verbose: If a player throws two grenades shortly after each other, the server will crash.
If two players throw one grenade each at the same time, the server won't crash.
(0015232)
BierAIG (reporter)
2013-03-25 21:01

After the first patch in the Arma 3 Alpha when man throws two grenades crashes the game respectively. the server. We have tested this with several missions, and always the same.

Arma 3 Alpha v.0.52
(0015251)
SavageCDN (reporter)
2013-03-25 21:34

I can provide logs for 3 separate server instances if required. As mentioned above it seems to be the same:

Exception code: C0000005 ACCESS_VIOLATION at 006C1EA0

tbb4malloc_bi.dll


Anywhere upto an hour it seems before the server resets although it if is a grenade throwing issue I can see why the range in times. Using a grenade-stop script as well that prevents throwing in base.. wonder if that has any effect?
(0015252)
teaCup (reporter)
2013-03-25 21:40
edited on: 2013-03-25 23:52

It's affecting only the Stable branch, the one updated today (25th), the Dev branch doesn't crash the servers. Crashes both dedicated servers and so called "hosted" (both client and server on the same PC, same process).

Not sure if grenade trowing causes the crash, but we tested it with 4-5 players, and we managed to crash the server every time. Sometimes all it took was a single person throwing a single grenade and BAM, server and most of the clients crashed instantly as soon as the hand grenade was "fired". The player pulls his arm back to throw it, and the crash occurs, grenade doesn't even get to fly, land, explode, etc..

(0015262)
banshee (reporter)
2013-03-25 21:56

We could not reproduce the issue without grenades yet. Our guys are playing on a now passworded server for 2+ hrs without any crashes (everyone knows about the grenades).
(0015272)
SavageCDN (reporter)
2013-03-25 22:09
edited on: 2013-03-26 00:36

Good to know thanks banshee... will do the same

edit: someone forgot and threw some smoke....so it does crash for that as well :)

http://feedback.arma3.com/view.php?id=4372 [^]

(0015302)
Radioman (reporter)
2013-03-26 01:09

Has anyone tried using a different memory allocator?

I personally use ned_malloc, and I've not had any issues, but I don't have a server to test.

http://community.bistudio.com/wiki/ArmA_2:_Custom_Memory_Allocator [^]
(0015303)
banshee (reporter)
2013-03-26 01:10

Update: With a private server and a "no nades" policy, our server runs without any crashes since 20:10 CET (5 hrs now).
(0015383)
rogerx (reporter)
2013-03-26 10:32
edited on: 2013-03-26 10:45

Seems to be an infrequent frag or satchel. I've played on some servers where LAWS deployed by others and a grenade deployed by me were fine.

I heard a larger explosion (ie. charge/satchel?) from another player just prior to this "C0000005 ACCESS_VIOLATION at 006C1EA0" error.

Sounds like this should be a quick fix once they trace it down within the code. They likely won't need additional info as it's quickly reproducible.

Shame they don't allow us with Intel i7 (3.5Ghz) CPU's to have an option to run the game within a debuger. (ie. Statically link the program to run within gdb with a flag switch.) We would have had it traced for them already. But does appear to have a bulk of debug info already.

Well, due to this bug, stable branch is unplayable on all servers. Let's hope there's a fix very soon or likely today on this!

(0015414)
dazhbog (developer)
2013-03-26 11:47

So far it seems that the problem is fixed already in the latest dev version, please confirm.
(0015423)
teaCup (reporter)
2013-03-26 12:00

That's true, the problem was only in Stable, since the March 25 update. But Stable itself was ruined by it, becoming anything but. It forces all dedicated servers to switch to Dev, and consider that many players don't even know how to switch between Stable/Dev branches for their ArmA3 client.
(0015436)
SavageCDN (reporter)
2013-03-26 12:17

Not really wanting to go to Dev version on servers.. this will only confuse players.

Also confirming it happens on any throw-able item. Tried the grenadestop.sqf script to cover the entire island but no difference.
(0015489)
WildFire6 (reporter)
2013-03-26 14:03

This kind of surprised me, as it crashed pretty reliable without throwing frags as far as I knew. But I'm getting the same mem alloc. addy's so I believe it. I'm really stoked we have so many people rocking and rolling on an alpha and it makes the devs jobs a lot faster trying to find and troubleshoot this stuff. I'm hoping for a stable hotfix, so I dont have to switch server to dev.
(0015493)
dazhbog (developer)
2013-03-26 14:07

Hotfix in progress, we don't want to force you to switch to dev servers as well :).
(0015494)
japapatramtara (developer)
2013-03-26 14:08

In fact.. We're working on a new stable release build which could be distributed this during week
(0015628)
SavageCDN (reporter)
2013-03-26 17:28

Hotfix has been released!!! Thanks for the fast response to this issue BIS.
(0015643)
banshee (reporter)
2013-03-26 17:44

I can confirm this has been fixed with the Hotfix for the "stable" branch.
Good job!
(0015766)
SavageCDN (reporter)
2013-03-26 23:43

Yep 5+ hours and running no crashes (dancing banana gif)
(0046842)
Fireball (moderator)
2013-08-07 19:24

Mass close.

- Issue History
Date Modified Username Field Change
2013-03-25 14:21 banshee New Issue
2013-03-25 14:26 banshee Note Added: 0015007
2013-03-25 14:28 Deadfast Relationship added has duplicate 0005918
2013-03-25 14:28 Deadfast Relationship added has duplicate 0005919
2013-03-25 14:36 Katos Note Added: 0015013
2013-03-25 14:44 Katos Note Edited: 0015013 View Revisions
2013-03-25 14:49 teaCup Note Added: 0015020
2013-03-25 15:27 Katos Note Added: 0015035
2013-03-25 15:36 Katos Note Edited: 0015035 View Revisions
2013-03-25 15:36 Aske Note Added: 0015039
2013-03-25 15:44 dazhbog Note Added: 0015042
2013-03-25 15:44 dazhbog Assigned To => japapatramtara
2013-03-25 15:44 dazhbog Status new => assigned
2013-03-25 15:45 dazhbog Status assigned => need more info
2013-03-25 15:49 Katos Note Added: 0015044
2013-03-25 15:52 Katos Note Edited: 0015044 View Revisions
2013-03-25 15:58 Aske Note Edited: 0015039 View Revisions
2013-03-25 16:08 teaCup Note Added: 0015050
2013-03-25 16:10 teaCup Note Edited: 0015050 View Revisions
2013-03-25 16:24 Profecy Note Added: 0015059
2013-03-25 16:32 japapatramtara Note Added: 0015068
2013-03-25 16:44 Katos Note Added: 0015072
2013-03-25 16:46 banshee Note Added: 0015075
2013-03-25 16:47 banshee Note Added: 0015076
2013-03-25 16:51 teaCup Note Added: 0015079
2013-03-25 16:53 Katos Note Added: 0015082
2013-03-25 17:06 banshee Note Added: 0015093
2013-03-25 17:14 banshee Note Added: 0015104
2013-03-25 17:22 teaCup Note Edited: 0015079 View Revisions
2013-03-25 18:08 banshee Note Added: 0015142
2013-03-25 18:59 banshee Note Added: 0015167
2013-03-25 19:35 L etranger Note Added: 0015181
2013-03-25 19:44 banshee Note Added: 0015182
2013-03-25 19:48 banshee Note Added: 0015186
2013-03-25 19:50 dazhbog Note Added: 0015188
2013-03-25 19:50 dazhbog Note Edited: 0015188 View Revisions
2013-03-25 19:55 banshee Note Added: 0015190
2013-03-25 19:55 banshee Note Added: 0015192
2013-03-25 20:08 banshee Note Added: 0015195
2013-03-25 21:01 BierAIG Note Added: 0015232
2013-03-25 21:34 SavageCDN Note Added: 0015251
2013-03-25 21:40 teaCup Note Added: 0015252
2013-03-25 21:56 banshee Note Added: 0015262
2013-03-25 22:09 SavageCDN Note Added: 0015272
2013-03-25 22:15 teaCup Note Edited: 0015252 View Revisions
2013-03-25 22:33 SavageCDN Note Edited: 0015272 View Revisions
2013-03-25 23:52 teaCup Note Edited: 0015252 View Revisions
2013-03-26 00:36 SavageCDN Note Edited: 0015272 View Revisions
2013-03-26 01:09 Radioman Note Added: 0015302
2013-03-26 01:10 banshee Note Added: 0015303
2013-03-26 10:32 rogerx Note Added: 0015383
2013-03-26 10:35 rogerx Note Edited: 0015383 View Revisions
2013-03-26 10:36 rogerx Note Edited: 0015383 View Revisions
2013-03-26 10:38 rogerx Note Edited: 0015383 View Revisions
2013-03-26 10:45 rogerx Note Edited: 0015383 View Revisions
2013-03-26 11:47 dazhbog Note Added: 0015414
2013-03-26 11:49 dazhbog Status need more info => assigned
2013-03-26 12:00 teaCup Note Added: 0015423
2013-03-26 12:17 SavageCDN Note Added: 0015436
2013-03-26 14:03 WildFire6 Note Added: 0015489
2013-03-26 14:07 dazhbog Note Added: 0015493
2013-03-26 14:08 japapatramtara Note Added: 0015494
2013-03-26 17:28 SavageCDN Note Added: 0015628
2013-03-26 17:44 banshee Note Added: 0015643
2013-03-26 17:52 Astaroth Relationship added related to 0005956
2013-03-26 23:43 SavageCDN Note Added: 0015766
2013-03-27 10:35 dazhbog Status assigned => resolved
2013-03-27 10:35 dazhbog Resolution open => fixed
2013-08-07 19:24 Fireball Note Added: 0046842
2013-08-07 19:24 Fireball Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team